### Method

# Fwupd Device add_icon

#### Declaration [src]

    void
    fwupd_device_add_icon (
      FwupdDevice* self,
      const gchar* icon
    )

#### Description [src]

Adds the icon name if it does not already exist.

Available since: | 0.9.8

#### Parameters

`icon` | `const gchar*`
| The icon name, e.g. `input-mouse` or `/usr/share/icons/foo.png`
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.